import { DeployResult, Failures, Successes } from '@salesforce/source-deploy-retrieve';
import { TestLevel, Verbosity } from '../utils/types.js';
export declare class TestResultsFormatter {
    protected result: DeployResult;
    protected flags: Partial<{
        'test-level': TestLevel;
        verbose: boolean;
    }>;
    skipVerboseTestReportOnCI: boolean;
    testLevel: TestLevel | undefined;
    verbosity: Verbosity;
    constructor(result: DeployResult, flags: Partial<{
        'test-level': TestLevel;
        verbose: boolean;
    }>, skipVerboseTestReportOnCI?: boolean);
    displayTestResults(): void;
    determineVerbosity(): Verbosity;
}
export declare const testResultSort: <T extends Successes | Failures>(a: T, b: T) => number;
