import { MetadataApiDeploy, MetadataApiDeployStatus } from '@salesforce/source-deploy-retrieve';
import { SourceMemberPollingEvent } from '@salesforce/source-tracking';
type Options = {
    title: string;
    jsonEnabled: boolean;
};
type Data = {
    mdapiDeploy: MetadataApiDeployStatus;
    sourceMemberPolling: SourceMemberPollingEvent;
    status: string;
    message: string;
    username: string;
    id: string;
    deploySize: number;
    deployFileCount: number;
    deployUrl: string;
    verbose: boolean;
};
export declare class DeployStages {
    private mso;
    /**
     * Set of Apex test failures that were already rendered in the `Running Tests` block.
     * This is used in the `Failed` stage block for CI output to ensure test failures aren't duplicated when rendering new failures on polling.
     */
    private printedApexTestFailures;
    constructor({ title, jsonEnabled }: Options);
    start({ username, deploy }: {
        username?: string | undefined;
        deploy: MetadataApiDeploy;
    }, initialData?: Partial<Data>): void;
    update(data: Partial<Data>): void;
    stop(): void;
    error(): void;
    done(data?: Partial<Data>): void;
}
export declare function isCI(): boolean;
export {};
